#!/bin/sh

echo 'name: reactive
version: 0.11.5
license: OtherLicense
copyright: (c) 2007-2009 by Conal Elliott
maintainer: conal@conal.net
stability: provisional
homepage: http://haskell.org/haskellwiki/reactive
package-url: http://code.haskell.org/reactive
description: /Reactive/ is a simple foundation for programming reactive systems
             functionally.  Like Fran\/FRP, it has a notions of (reactive) behaviors and
             events.  Unlike most previous FRP implementations, Reactive has a hybrid
             demand/data-driven implementation, as described in the paper \"Push-pull
             functional reactive programming\", <http://conal.net/papers/push-pull-frp/>.
             .
             This version of Reactive has some serious bugs that show up particularly
             with some uses of the Event monad.  Some problems have been due to bugs
             in the GHC run-time support for concurrency.  I do not know whether the
             remaining problems in Reactive are still more subtle RTS issues, or
             some subtle laziness bugs in Reactive.  Help probing the remaining
             difficulties is most welcome.
             .
             Import "FRP.Reactive" for FRP client apps.  To make a Reactive adapter for an
             imperative library, import "FRP.Reactive.LegacyAdapters".
             .
             Please see the project wiki page: <http://haskell.org/haskellwiki/reactive>
             .
             &#169; 2007-2009 by Conal Elliott; GNU AGPLv3 license (see COPYING).
             I am not thrilled with GPL, and I doubt I'\''ll stay with it for long.
             If you would like different terms, please talk to me.
             .
             With contributions from: Robin Green, Thomas Davie, Luke Palmer,
             David Sankel, Jules Bean, Creighton Hogg, Chuan-kai Lin, and Richard
             Smith.  Please let me know if I'\''ve forgotten to list you.
category: reactivity, FRP
author: Conal Elliott
exposed: True
exposed-modules: FRP.Reactive FRP.Reactive.Future
                 FRP.Reactive.PrimReactive FRP.Reactive.Reactive
                 FRP.Reactive.Behavior FRP.Reactive.Fun FRP.Reactive.Improving
                 FRP.Reactive.Num FRP.Reactive.VectorSpace
                 FRP.Reactive.Internal.Misc FRP.Reactive.Internal.Fun
                 FRP.Reactive.Internal.Future FRP.Reactive.Internal.Reactive
                 FRP.Reactive.Internal.Behavior FRP.Reactive.Internal.Clock
                 FRP.Reactive.Internal.Timing FRP.Reactive.Internal.Chan
                 FRP.Reactive.LegacyAdapters Data.AddBounds Data.Min Data.Max
                 Data.PairMonad FRP.Reactive.Internal.IVar
                 FRP.Reactive.Internal.Serial FRP.Reactive.Internal.TVal
hidden-modules:
import-dirs: /usr/local/lib/reactive-0.11.5/ghc-6.10.4
library-dirs: /usr/local/lib/reactive-0.11.5/ghc-6.10.4
              /usr/local/lib
hs-libraries: HSreactive-0.11.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: QuickCheck-2.1.1.1 Stream-0.4.1 TypeCompose-0.8.0
         base-4.1.0.0 category-extras-0.53.5 checkers-0.2.6 old-time-1.0.0.2
         random-1.0.0.1 unamb-0.2.2 vector-space-0.7.1
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/reactive-0.11.5/html/reactive.haddock
haddock-html: /usr/local/share/doc/reactive-0.11.5/html' | /usr/local/bin/ghc-pkg update -
